package de.androidpraxis.halloworld;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;

public class HalloAndroidActivity extends Activity implements OnClickListener {
	
	private static final int WILLKOMMEN_DIALOG = 1;
	private TextView textViewhalloWorld;
	private EditText editTextVornameNachname;
	private Button buttonSagHallo;
	private Button buttonToast;
	private Button buttonWillkommen;
	private ImageView imageViewHalloAndroidKopf;
	
	
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.halloworldlayout);
		
		textViewhalloWorld = (TextView)this.findViewById(R.id.textViewhalloWorld);
		
		editTextVornameNachname = (EditText)this.findViewById(R.id.editTextVornameNachname);
		buttonSagHallo = (Button)this.findViewById(R.id.buttonSagHallo);
		buttonToast = (Button)this.findViewById(R.id.buttonToast);
		buttonWillkommen = (Button)this.findViewById(R.id.buttonwillkommen);
		imageViewHalloAndroidKopf = (ImageView)this.findViewById(R.id.imageViewHalloAndroidKopf);
		
		buttonToast.setOnClickListener(this);
		buttonSagHallo.setOnClickListener(this);
		buttonWillkommen.setOnClickListener(this);
		
	}



	@Override
	public void onClick(View v) {
		
		switch (v.getId())
		{
		case R.id.buttonToast:
			toastAusprechen();
			break;
		
		case R.id.buttonwillkommen:
			willkommensagen();
		break;
		
		case R.id.buttonSagHallo:
			hallosagen();
			break;
		
		}
	}



	private void toastAusprechen() {

		CharSequence vornameName = this.editTextVornameNachname.getText();
		CharSequence toastText = this.getResources().getString(R.string.toast, vornameName);
		
		Toast.makeText(this, toastText, Toast.LENGTH_LONG).show();
		
	}
	
	private void hallosagen() {
		
		CharSequence vornameName = this.editTextVornameNachname.getText();
		CharSequence halloText = this.getResources().getString(R.string.hallosagen, vornameName);
		
		this.textViewhalloWorld.setText(halloText);
	
	}
	
	@SuppressWarnings("deprecation")
	private void willkommensagen() {
				
		this.showDialog(WILLKOMMEN_DIALOG);
		
	}


    public HalloAndroidActivity() {
        super();
    }

    @Override
	protected Dialog onCreateDialog(int id) {
		Dialog dialog = null;
		
		CharSequence vornameName = this.editTextVornameNachname.getText();
		CharSequence hallosagen = this.getResources().getString(R.string.hallosagen, vornameName);


		AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setMessage("Ein dialog");
				.setTitle(R.string.halloandroid);
				.setIcon(R.drawable.ic_launcher);
				.setPositiveButton(R.string.OK, new DialogInterfaceOnClickListener);
				{

				@Override
				public void onClick(DialogInterface dialog, int which) {

					okGedrueckt(dialog);
					dialog.dismiss8();
					
				}
				
				})
				.setNegativeButton(R.string.Abbruch, new DialogInterfaceOnClickListener);
				{

				@Override
				public void onClick(DialogInterface dialog, int which) {
					
					abbruchGedrueckt(dialog);
					dialog.dismiss8();
					
				}
				
				});

			dialog = builder.create();
				
		return dialog;
	}

	private void okGedrueckt(DialogInterface dialog);
	{
		Toast.makeText(this, "OK gedrdrückt", Toast.LENGTH_LONG).show();
	}
	
	private void abbruchGedrueckt(DialogInterface dialog)
	{
		Toast.makeText(this, "Abbruch gedrückt", Toast.LENGTH_LONG).show();
	}

	}
}
